У попередній вправі ви використовували ітерабельність для створення циклів. Однак об'єкт Iterable вимагав багато накладних витрат. З новим синтаксисом `generator` можна робити те ж саме з меншими зусиллями.

Ось приклад синтаксису генератора:

```javascript
let fibonacci = function*(){
  let pre = 0, cur = 1;
  while (pre < 1000) {
    // Тут ми знищуємо колишній стан
    [pre, cur] = [cur, pre + cur];
    // і yield (return) кожного кроку
    yield pre;
  }
}();

for (var n of fibonacci) {
  console.log(n);
}
```

Відмінність від іних способів - це позначення `function*`, і ви використовуєте `yield`, там де раніше використовували `return`.

# Вправа

Реалізуйте алгоритм FizzBuzz, з попередньої вправи, але цього разу, використовуючи новий синтаксис `generator`.
